components {
  id: "room"
  component: "/room/room.script"
  position {
    x: 0.0
    y: 0.0
    z: 0.0
  }
  rotation {
    x: 0.0
    y: 0.0
    z: 0.0
    w: 1.0
  }
}
embedded_components {
  id: "wallpaper"
  type: "sprite"
  data: "tile_set: \"/room/room.atlas\"\n"
  "default_animation: \"wallpaper01\"\n"
  "material: \"/builtins/materials/sprite.material\"\n"
  "blend_mode: BLEND_MODE_ALPHA\n"
  ""
  position {
    x: 0.0
    y: 0.0
    z: 0.0
  }
  rotation {
    x: 0.0
    y: 0.0
    z: 0.0
    w: 1.0
  }
}
embedded_components {
  id: "left"
  type: "sprite"
  data: "tile_set: \"/room/room.atlas\"\n"
  "default_animation: \"wall_side\"\n"
  "material: \"/builtins/materials/sprite.material\"\n"
  "blend_mode: BLEND_MODE_ALPHA\n"
  ""
  position {
    x: -100.0
    y: 0.0
    z: 50.0
  }
  rotation {
    x: 0.0
    y: 0.70710677
    z: 0.0
    w: 0.70710677
  }
}
embedded_components {
  id: "right"
  type: "sprite"
  data: "tile_set: \"/room/room.atlas\"\n"
  "default_animation: \"wall_side\"\n"
  "material: \"/builtins/materials/sprite.material\"\n"
  "blend_mode: BLEND_MODE_ALPHA\n"
  ""
  position {
    x: 100.0
    y: 0.0
    z: 50.0
  }
  rotation {
    x: 0.0
    y: 0.70710677
    z: 0.0
    w: 0.70710677
  }
}
embedded_components {
  id: "floor"
  type: "sprite"
  data: "tile_set: \"/room/room.atlas\"\n"
  "default_animation: \"wall_floor\"\n"
  "material: \"/builtins/materials/sprite.material\"\n"
  "blend_mode: BLEND_MODE_ALPHA\n"
  "size {\n"
  "  x: 200.0\n"
  "  y: 100.0\n"
  "  z: 0.0\n"
  "  w: 0.0\n"
  "}\n"
  "size_mode: SIZE_MODE_MANUAL\n"
  ""
  position {
    x: 0.0
    y: -50.0
    z: 50.0
  }
  rotation {
    x: 0.70710677
    y: 0.0
    z: 0.0
    w: 0.70710677
  }
}
embedded_components {
  id: "roof"
  type: "sprite"
  data: "tile_set: \"/room/room.atlas\"\n"
  "default_animation: \"wall_roof\"\n"
  "material: \"/builtins/materials/sprite.material\"\n"
  "blend_mode: BLEND_MODE_ALPHA\n"
  ""
  position {
    x: 0.0
    y: 50.0
    z: 50.0
  }
  rotation {
    x: 0.70710677
    y: 0.0
    z: 0.0
    w: 0.70710677
  }
}
